## solarize solarize |

## Synopsis

    struct              GstSolarize;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseTransform
                               +----GstVideoFilter
                                     +----GstSolarize

## Properties

      "silent"                   gboolean              : Read / Write
      "end"                      guint                 : Read / Write
      "start"                    guint                 : Read / Write
      "threshold"                guint                 : Read / Write

## Description

Solarize does a smart inverse in a video stream in realtime.

### Example launch line

    1
    gst-launch -v videotestsrc ! solarize ! videoconvert ! autovideosink

This pipeline shows the effect of solarize on a test stream

## Synopsis

### Element Information

plugin | gaudieffects
author | Luis de Bethencourt <luis@debethencourt.com>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ BGRx, RGBx }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ BGRx, RGBx }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Details

### struct GstSolarize

    struct GstSolarize;

## Property Details

### The `"silent"` property

      "silent"                   gboolean              : Read / Write

Produce verbose output ?.

Default value: FALSE

### The `"end"` property

      "end"                      guint                 : Read / Write

End parameter.

Allowed values: <= 256

Default value: 185

### The `"start"` property

      "start"                    guint                 : Read / Write

Start parameter.

Allowed values: <= 256

Default value: 50

### The `"threshold"` property

      "threshold"                guint                 : Read / Write

Threshold parameter.

Allowed values: <= 256

Default value: 127